Package org.apache.lucene.codecs

# Class TermVectorsFormat

java.lang.Object
org.apache.lucene.codecs.TermVectorsFormat

Direct Known Subclasses:
  `Lucene90CompressingTermVectorsFormat`

public abstract class TermVectorsFormat extends Object
Controls the format of term vectors

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TermVectorsFormat()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract TermVectorsReader`
  `vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
  Returns a `TermVectorsReader` to read term vectors.
  `abstract TermVectorsWriter`
  `vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`
  Returns a `TermVectorsWriter` to write term vectors.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TermVectorsFormat

    protected TermVectorsFormat()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### vectorsReader

    public abstract TermVectorsReader vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context) throws IOException
    Returns a `TermVectorsReader` to read term vectors.
    Throws:
      `IOException`

  - ### vectorsWriter

    public abstract TermVectorsWriter vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context) throws IOException
    Returns a `TermVectorsWriter` to write term vectors.
    Throws:
      `IOException`